def poly_string(a,b,c):
    """Create a string representation ax^2 + bx + c"""
    # Here we use an f-string.
    return f"{a} x^2 + {b} x + {c}"
    
    
def poly_value(a,b,c,x):
    """Calculate the value of ax^2 + bx + c at the point x"""
    square = a * x**2
    linear = b * x
    const  = c
    return square + linear + const
    

def pretty_print(a,b,c,x):
    """Calculate and print a quadratic polynomial"""
    poly = poly_string(a,b,c)
    value = poly_value(a,b,c,x)
    print('The value of', poly, 'for x =', x, 'is', value)
    

pretty_print(2,7,3,3)
pretty_print(4,5,2,9)
